Execute SQL against a Superset database
curl --request POST \
--url https://api.example.com/api/analytics/sql \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sql": "<string>",
"database_id": 1,
"schema": "<string>",
"catalog": "<string>",
"query_limit": 1000
}
'import requests
url = "https://api.example.com/api/analytics/sql"
payload = {
"sql": "<string>",
"database_id": 1,
"schema": "<string>",
"catalog": "<string>",
"query_limit": 1000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sql: '<string>',
database_id: 1,
schema: '<string>',
catalog: '<string>',
query_limit: 1000
})
};
fetch('https://api.example.com/api/analytics/sql', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"query_id": "<string>",
"status": "<string>",
"data": [],
"columns": []
}{
"error": "<string>",
"code": 500
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Analytics
Execute SQL against a Superset database
Runs a SQL query via Superset SQL Lab and returns the results.
POST
/
api
/
analytics
/
sql
Execute SQL against a Superset database
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Was this page helpful?
⌘I

